package digital.laboratory.platform.inspection.dto;

import java.util.List;

/**
 * 为了复用，通过BaseCaseDataDto 作为参数类型，在其中传递不同的具体子类对象
 */
public abstract class BaseCaseDataDto<T> {
    // 定义抽象方法和属性
    public abstract String getTestId();
    public abstract String getTargetConcentration();
    public abstract String getStdConcentration();
    public abstract String getCompoundName();
    public abstract double getTargetRtTime();
    public abstract double getStdRtTime();
    public abstract String getRtTimeWithinError();
    public abstract List<T> getTestSampleDataList();
    public abstract int getIsDetected();//是否检出目标化合物
    public abstract String getSampleType();//样本类型- QC(质控)  STD(标准品) Analyte(待测样品)
}
